Apache Struts API Documentation: Class SetPropertiesRule

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.digester
Class SetPropertiesRule

    java.lang.Object
      |
      +--org.apache.struts.digester.Rule
            |
            +--org.apache.struts.digester.SetPropertiesRule

public class SetPropertiesRule
extends Rule

Rule implementation that sets properties on the object at the top of the stack, based on attributes with corresponding names.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig McClanahan

Fields inherited from class org.apache.struts.digester.Rule
`digester`

Constructor Summary
`SetPropertiesRule(Digester digester)` Default constructor sets only the the associated Digester.

Method Summary
`void` | `begin(org.xml.sax.AttributeList attributes)` Process the beginning of this element.

Methods inherited from class org.apache.struts.digester.Rule
`body, end, finish`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### SetPropertiesRule

    public SetPropertiesRule(Digester digester)

  Default constructor sets only the the associated Digester.
  Parameters:
    `digester` - The digester with which this rule is associated

Method Detail

### begin

    public void begin(org.xml.sax.AttributeList attributes)
               throws java.lang.Exception

  Process the beginning of this element.
  Overrides:
    `begin` in class `Rule`
  Parameters:
    `context` - The associated context
    `attributes` - The attribute list of this element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation